Skip to content
REST API

Delete a task

DELETE
/tasks/{taskId}

Deletes the task and its subtasks. A later occurrence of a recurring task is kept.

Required scopes: tasks:delete

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

taskId*string

Task id, scoped to the key's user.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "4d3c2b1a-0f9e-4d8c-9b7a-6f5e4d3c2b1a",    "deleted": true  }}